Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417320 - invalid href in response from custom attributes edit action
Summary: invalid href in response from custom attributes edit action
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Jillian Tullo
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest:provider
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 00:04 UTC by Martin Kourim
Modified: 2018-03-01 13:09 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 13:09:24 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 0 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Description Martin Kourim 2017-01-28 00:04:37 UTC
Description of problem:
Response from "edit" action on custom_attributes collection contains invalid href - "https://<address>/api/custom_attributes/:attribute_id". There is no /api/custom_attributes collection, i.e. the href points to nonexistent resource.


Version-Release number of selected component (if applicable):
5.7.1.0


How reproducible:
100%


Steps to Reproduce:
1. create custom attribute on provider
POST /api/providers/:provider_id/custom_attributes
{
  "action" : "add",
  "resource" : { "name" : "ca1", "value" : "value 1" }
}
The response doesn't contain any href, just attribute id.

2. edit the the custom attribute created in step 1:
POST /api/providers/:provider_id/custom_attributes/:attribute_id
{
  "action" : "edit",
  "resource" : { "name" : "ca2", "value" : "value 2" }
}


Actual results:
The response contains href "https://<address>/api/custom_attributes/:attribute_id" that points to nonexistent resource.


Expected results:
The response contains href "https://<address>/api/providers/:provider_id/custom_attributes/:attribute_id"

Comment 2 Jillian Tullo 2017-04-19 15:16:56 UTC
PR: https://github.com/ManageIQ/manageiq/pull/14752

Comment 3 Martin Kourim 2017-10-18 22:52:25 UTC
Verified that the response contains href "https://<address>/api/providers/:provider_id/custom_attributes/:attribute_id"

Comment 6 errata-xmlrpc 2018-03-01 13:09:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.